Subject: RE: Executing a BASH script from a start menu shortcut
From: Bernard Dautrevaux <[email-masked]>
To: "'Levon Saldamli'" <[email-masked]>, "'GNU-WIN32'" <[email-masked]>
Cc: [email-masked]
Date: Wed, 10 Feb 1999 11:05:37 +0100

> -----Original Message-----
> From: Levon Saldamli [mailto:[email-masked]]
> Sent: Wednesday, February 10, 1999 7:42 AM
> To: 'GNU-WIN32'
> Cc: [email-masked]
> Subject: Re: Executing a BASH script from a start menu shortcut
> 
> 
> Robert Campbell <[email-masked]> writes:
> 
> > Does anybody know how to create an icon on the desktop (or 
> from the start
> > menu) that will execute a bash script without starting a dos prompt.
> >  
> > I have cygwin setup to start my X server by executing 
> 'startx' from any bash
> > shell, and I would like to know how I can create an icon on 
> my desktop to do
> > this, without bringing up a command prompt window.
> >  
> > I would like the script to do something like this:
> >  
> > #!/bin/bash --login
> > startx

I have the same kind of problem but do not have time to investigate it
yet :-(

> 
> I think you could call bash with your script as argument, 
> something like:
> 
> path_to_bash/bash.exe myscript

This should work but in no case will get us rid of the annoying
"console" window 8-(

> 
> If it needs the env-variables you could copy the cygnus.bat, and
> change it to call bash with your script as argument instead.

This too will create a "console" window. My poblem, and Robert's one if
I understand it correctly, was to get rid of it...

Thanks anyway,

		Bernard,

--------------------------------------------
Bernard Dautrevaux
Microprocess Ingéniérie
97 bis, rue de Colombes
92400 COURBEVOIE
FRANCE
Tel:	+33 (0) 1 47 68 80 80
Fax:	+33 (0) 1 47 88 97 85
e-mail:	[email-masked]
		[email-masked]
-------------------------------------------- 

--   
Want to unsubscribe from this list?                             
Send a message to [email-masked]